import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.StringItem;

public class Console implements CommandListener {

	private static Display theDisplay;
	private static Displayable prevDisplay;
	
	public static Form form = new Form( "Console" );
	private static Command cmdBack = new Command( "", Command.BACK, 0 );
	
	public Console() {
		form.addCommand( cmdBack );
		form.setCommandListener( this );
	}
	
	public static void show(Display display){
		theDisplay = display;
		prevDisplay = display.getCurrent();
		theDisplay.setCurrent(form);
	}
	
	public static void trace( String msg ) {
		System.out.println( msg );
		form.insert( 0, new StringItem( null, msg + '\n' ) );
		while ( form.size() > 20 )
			form.delete( 20 );
	}

	public static void trace( int value ) {
		trace( String.valueOf( value ) );
	}
	
	public static void trace( String string, int value ) {
		trace( string + " " + String.valueOf( value ) );
	}
	
	public static void clear() {
		form.deleteAll();
	}

	public void commandAction(Command arg0, Displayable arg1) {
		if ( arg0 == cmdBack ){
			if (theDisplay == null){System.out.print("display");}
			if (prevDisplay == null){System.out.print("prevDisplay");}
			theDisplay.setCurrent(prevDisplay);
		}
	}
}
